dpkg-source: internal error "Use of uninitialized value ..."

Bug #742124 reported by Benjamin Drung on 2011-03-24
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
dpkg (Debian)
Fix Released
Unknown
dpkg (Ubuntu)
High
Steve Langasek

Bug Description

Binary package hint: dpkg

dpkg-source fails in the "empty-diff" test of lintian and lets the package fail to build (bug #742092).

You can reproduce it by getting the source of lintian and run:

$ debian/rules runtests onlyrun=cruft-empty-diff
.... running tests ....
rm -rf debian/tests
mkdir debian/tests
private/runtests -j 4 cruft-empty-diff
Package tests:
Running cruft-empty-diff 1.0-1... building... testing... FAILED:
--- t/tests/cruft-empty-diff/tags 2011-03-22 23:06:53.716331766 +0100
+++ debian/tests/cruft-empty-diff/tags.cruft-empty-diff 2011-03-24 15:01:00.637531630 +0100
@@ -1 +1,7 @@
-W: cruft-empty-diff source: empty-debian-diff
+Use of uninitialized value $file in -e at /usr/share/perl5/Dpkg/Source/Functions.pm line 77.
+Use of uninitialized value $file in open at /usr/share/perl5/Dpkg/Source/Functions.pm line 78.
+dpkg-source: error: cannot write %s: No such file or directory
+internal error: dpkg-source -x failed with status
+internal error: 2
+warning: collect info unpacked about package cruft-empty-diff failed
+warning: skipping check of source package cruft-empty-diff
make: *** [runtests] Fehler 1

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: dpkg 1.16.0~ubuntu5
ProcVersionSignature: Ubuntu 2.6.38-7.38-generic 2.6.38
Uname: Linux 2.6.38-7-generic x86_64
Architecture: amd64
Date: Thu Mar 24 23:49:28 2011
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Alpha amd64 (20100921.1)
ProcEnviron:
 LANGUAGE=de_DE:en
 LANG=de_DE.UTF-8
 SHELL=/bin/bash
SourcePackage: dpkg
UpgradeStatus: Upgraded to natty on 2011-03-11 (13 days ago)

Benjamin Drung (bdrung) wrote :
Steve Langasek (vorlon) on 2011-03-24
Changed in dpkg (Ubuntu):
status: New → Triaged
importance: Undecided → High
assignee: nobody → Steve Langasek (vorlon)
milestone: none → ubuntu-11.04-beta-1
Steve Langasek (vorlon) on 2011-03-24
Changed in dpkg (Ubuntu):
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package dpkg - 1.16.0~ubuntu6

---------------
dpkg (1.16.0~ubuntu6) natty; urgency=low

  * Dpkg/Shlibs.pm: we should explicitly prepend the appropriate multiarch
    paths to our library search path. These would be picked up later on
    anyway in the case of a native build, but for, e.g., bootstrapping a
    cross-toolchain the needed multiarch paths aren't going to be found in
    ld.so.conf.
  * Cherry-pick fixes from upstream:

  [ Raphaël Hertzog ]
  * 7ea2064c46b77398a63d7f7a543ebcf08f7c74d2: Fix dpkg-source's regression
    with empty patches (introduced while fixing 613023). Closes: #619541,
    LP: #742124.
  * 6a7a20c72325a57762e34f5dbb9f79ba73b5d496: Use the correct mtime when
    installing a file with statoverrides. LP: #739179.
 -- Steve Langasek <email address hidden> Thu, 24 Mar 2011 17:04:47 -0700

Changed in dpkg (Ubuntu):
status: Fix Committed → Fix Released
Changed in dpkg (Debian):
status: Unknown → Fix Committed
Changed in dpkg (Debian):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.